com.amazonaws.services.codebuild.model

## Class StartBuildRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codebuild.model.StartBuildRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class StartBuildRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`StartBuildRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StartBuildRequest` `clone()`
`boolean` `equals(Object obj)`
`ProjectArtifacts` `getArtifactsOverride()` Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.
`String` `getBuildspecOverride()` A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.
`List<EnvironmentVariable>` `getEnvironmentVariablesOverride()` A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.
`String` `getProjectName()` The name of the build project to start running a build.
`String` `getSourceVersion()` A version of the build input to be built, for this build only.
`Integer` `getTimeoutInMinutesOverride()` The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.
`int` `hashCode()`
`void` `setArtifactsOverride(ProjectArtifacts artifactsOverride)` Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.
`void` `setBuildspecOverride(String buildspecOverride)` A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.
`void` `setEnvironmentVariablesOverride(Collection<EnvironmentVariable> environmentVariablesOverride)` A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.
`void` `setProjectName(String projectName)` The name of the build project to start running a build.
`void` `setSourceVersion(String sourceVersion)` A version of the build input to be built, for this build only.
`void` `setTimeoutInMinutesOverride(Integer timeoutInMinutesOverride)` The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StartBuildRequest` `withArtifactsOverride(ProjectArtifacts artifactsOverride)` Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.
`StartBuildRequest` `withBuildspecOverride(String buildspecOverride)` A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.
`StartBuildRequest` `withEnvironmentVariablesOverride(Collection<EnvironmentVariable> environmentVariablesOverride)` A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.
`StartBuildRequest` `withEnvironmentVariablesOverride(EnvironmentVariable... environmentVariablesOverride)` A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.
`StartBuildRequest` `withProjectName(String projectName)` The name of the build project to start running a build.
`StartBuildRequest` `withSourceVersion(String sourceVersion)` A version of the build input to be built, for this build only.
`StartBuildRequest` `withTimeoutInMinutesOverride(Integer timeoutInMinutesOverride)` The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartBuildRequest

    public StartBuildRequest()

### Method Detail

#### setProjectName

    public void setProjectName(String projectName)

The name of the build project to start running a build.

Parameters:
  `projectName` - The name of the build project to start running a build.

#### getProjectName

    public String getProjectName()

The name of the build project to start running a build.

Returns:
  The name of the build project to start running a build.

#### withProjectName

    public StartBuildRequest withProjectName(String projectName)

The name of the build project to start running a build.

Parameters:
  `projectName` - The name of the build project to start running a build.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSourceVersion

    public void setSourceVersion(String sourceVersion)

A version of the build input to be built, for this build only. If not specified, the latest version will be used. If specified, must be one of:

- For AWS CodeCommit or GitHub: the commit ID to use.

- For Amazon Simple Storage Service (Amazon S3): the version ID of the object representing the build input ZIP file to use.

Parameters:
  `sourceVersion` - A version of the build input to be built, for this build only. If not specified, the latest version will be used. If specified, must be one of:

  - For AWS CodeCommit or GitHub: the commit ID to use.

  - For Amazon Simple Storage Service (Amazon S3): the version ID of the object representing the build input ZIP file to use.

#### getSourceVersion

    public String getSourceVersion()

A version of the build input to be built, for this build only. If not specified, the latest version will be used. If specified, must be one of:

- For AWS CodeCommit or GitHub: the commit ID to use.

- For Amazon Simple Storage Service (Amazon S3): the version ID of the object representing the build input ZIP file to use.

Returns:
  A version of the build input to be built, for this build only. If not specified, the latest version will be used. If specified, must be one of:

  - For AWS CodeCommit or GitHub: the commit ID to use.

  - For Amazon Simple Storage Service (Amazon S3): the version ID of the object representing the build input ZIP file to use.

#### withSourceVersion

    public StartBuildRequest withSourceVersion(String sourceVersion)

A version of the build input to be built, for this build only. If not specified, the latest version will be used. If specified, must be one of:

- For AWS CodeCommit or GitHub: the commit ID to use.

- For Amazon Simple Storage Service (Amazon S3): the version ID of the object representing the build input ZIP file to use.

Parameters:
  `sourceVersion` - A version of the build input to be built, for this build only. If not specified, the latest version will be used. If specified, must be one of:

  - For AWS CodeCommit or GitHub: the commit ID to use.

  - For Amazon Simple Storage Service (Amazon S3): the version ID of the object representing the build input ZIP file to use.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setArtifactsOverride

    public void setArtifactsOverride(ProjectArtifacts artifactsOverride)

Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.

Parameters:
  `artifactsOverride` - Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.

#### getArtifactsOverride

    public ProjectArtifacts getArtifactsOverride()

Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.

Returns:
  Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.

#### withArtifactsOverride

    public StartBuildRequest withArtifactsOverride(ProjectArtifacts artifactsOverride)

Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.

Parameters:
  `artifactsOverride` - Build output artifact settings that override, for this build only, the latest ones already defined in the corresponding build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getEnvironmentVariablesOverride

    public List<EnvironmentVariable> getEnvironmentVariablesOverride()

A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.

Returns:
  A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.

#### setEnvironmentVariablesOverride

    public void setEnvironmentVariablesOverride(Collection<EnvironmentVariable> environmentVariablesOverride)

A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.

Parameters:
  `environmentVariablesOverride` - A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.

#### withEnvironmentVariablesOverride

    public StartBuildRequest withEnvironmentVariablesOverride(EnvironmentVariable... environmentVariablesOverride)

A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.

NOTE: This method appends the values to the existing list (if any). Use `setEnvironmentVariablesOverride(java.util.Collection)` or `withEnvironmentVariablesOverride(java.util.Collection)` if you want to override the existing values.

Parameters:
  `environmentVariablesOverride` - A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withEnvironmentVariablesOverride

    public StartBuildRequest withEnvironmentVariablesOverride(Collection<EnvironmentVariable> environmentVariablesOverride)

A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.

Parameters:
  `environmentVariablesOverride` - A set of environment variables that overrides, for this build only, the latest ones already defined in the corresponding build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBuildspecOverride

    public void setBuildspecOverride(String buildspecOverride)

A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.

Parameters:
  `buildspecOverride` - A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.

#### getBuildspecOverride

    public String getBuildspecOverride()

A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.

Returns:
  A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.

#### withBuildspecOverride

    public StartBuildRequest withBuildspecOverride(String buildspecOverride)

A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.

Parameters:
  `buildspecOverride` - A build spec declaration that overrides, for this build only, the latest one already defined in the corresponding build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTimeoutInMinutesOverride

    public void setTimeoutInMinutesOverride(Integer timeoutInMinutesOverride)

The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.

Parameters:
  `timeoutInMinutesOverride` - The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.

#### getTimeoutInMinutesOverride

    public Integer getTimeoutInMinutesOverride()

The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.

Returns:
  The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.

#### withTimeoutInMinutesOverride

    public StartBuildRequest withTimeoutInMinutesOverride(Integer timeoutInMinutesOverride)

The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.

Parameters:
  `timeoutInMinutesOverride` - The number of build timeout minutes, from 5 to 480 (8 hours) that overrides, for this build only, the latest setting already defined in the corresponding build project.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StartBuildRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`